Bug 1353500 - PHP 7.0
PHP 7.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
ChangeAcceptedF25, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-07 06:13 EDT by Jan Kurik
Modified: 2016-11-22 08:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 08:58:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-07-07 06:13:07 EDT
This is a tracking bug for Change: PHP 7.0
For more details, see: https://fedoraproject.org//wiki/Changes/php70

Update the PHP stack in Fedora to latest version 7.0.x
Comment 1 Remi Collet 2016-07-07 07:06:08 EDT
PHP 7.0.8 build in rawhide.
Comment 2 John Ellson 2016-07-08 14:42:27 EDT
SWIG has not been updated yet for the changes in the PHP7 api,

Upstream is aware:     https://github.com/swig/swig/issues/571

I just wanted to record the issue here as it breaks other packages, such as graphviz, that rely on swig generated php bindings.

I've made a change in grapviz upstream to disable the php bindings in fc25 for now.
    https://github.com/ellson/graphviz
Comment 3 Jaroslav Škarvada 2016-07-15 08:16:05 EDT
The rrdtool is also broken. I am disabling php bindings in both graphviz/rrdtool in f25 for now.
Comment 4 Jaroslav Škarvada 2016-07-15 08:23:21 EDT
Regarding swig I opened downstream bug 1356985 to track the problem.
Comment 5 Jan Kurik 2016-07-26 00:16:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.